﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasterDetailsViewGrid_Sample
{
    public class OrderInfoRepositiory
    {
        ObservableCollection<OrderInfo> orders;
        public ObservableCollection<OrderInfo> Orders
        {
            get { return orders; }
            set { orders = value; }
        }

        public OrderInfoRepositiory()
        {
            orders = new ObservableCollection<OrderInfo>();
            this.GenerateProducts();
            Orders = GenerateOrders();
        }

        public ObservableCollection<OrderInfo> GenerateOrders()
        {            
            orders.Add(new OrderInfo(1001, "Maria Anders", "Germany", "ALFKI", "Berlin", getorder(1001)));
            orders.Add(new OrderInfo(1002, "Ana Trujilo", "Mexico", "ANATR", "México D.F.", getorder(1002)));
            orders.Add(new OrderInfo(1003, "Antonio Moreno", "Mexico", "ANTON", "México D.F.", getorder(1003)));
            orders.Add(new OrderInfo(1004, "Thomas Hardy", "UK", "AROUT", "London", getorder(1004)));
            orders.Add(new OrderInfo(1005, "Christina Berglund", "Sweden", "BERGS", "Luleå", getorder(1005)));
            orders.Add(new OrderInfo(1006, "Hanna Moos", "Germany", "BLAUS", "Mannheim", getorder(1006)));
            orders.Add(new OrderInfo(1007, "Frédérique Citeaux", "France", "BLONP", "Strasbourg", getorder(1007)));
            orders.Add(new OrderInfo(1008, "Martin Sommer", "Spain", "BOLID", "Madrid", getorder(1008)));
            orders.Add(new OrderInfo(1009, "Laurence Lebihan", "France", "BONAP", "Marseille", getorder(1009)));
            orders.Add(new OrderInfo(1010, "Elizabeth Lincoln", "Canada", "BOTTM", "Tsawassen", getorder(1010)));
            return orders;
        }

        List<ProductInfo> products = new List<ProductInfo>();

        public void GenerateProducts()
        {
            products.Add(new ProductInfo() { OrderID = 1001, ProductName = "Bike1", DateOfMonth = new DateTime(2015, 5, 27) });
            products.Add(new ProductInfo() { OrderID = 1001, ProductName = "Bike2", DateOfMonth = new DateTime(2015, 5, 20) });
            products.Add(new ProductInfo() { OrderID = 1001, ProductName = "Bike2", DateOfMonth = new DateTime(2015, 5, 27) });
            products.Add(new ProductInfo() { OrderID = 1002, ProductName = "Bike2", DateOfMonth = new DateTime(2014, 5, 7) });
            products.Add(new ProductInfo() { OrderID = 1002, ProductName = "Bike1", DateOfMonth = new DateTime(2012, 5, 20) });
            products.Add(new ProductInfo() { OrderID = 1002, ProductName = "Bike3", DateOfMonth = new DateTime(2015, 5, 27) });
            products.Add(new ProductInfo() { OrderID = 1003, ProductName = "Bike2", DateOfMonth = new DateTime(2015, 5, 27) });
            products.Add(new ProductInfo() { OrderID = 1003, ProductName = "Bike1" });
            products.Add(new ProductInfo() { OrderID = 1004, ProductName = "Bike2" });
            products.Add(new ProductInfo() { OrderID = 1004, ProductName = "Bike2" });
            products.Add(new ProductInfo() { OrderID = 1005, ProductName = "Bike3" });
            products.Add(new ProductInfo() { OrderID = 1005, ProductName = "Bike4" });
            products.Add(new ProductInfo() { OrderID = 1005, ProductName = "Bike5" });
            products.Add(new ProductInfo() { OrderID = 1006, ProductName = "Bike1" });
            products.Add(new ProductInfo() { OrderID = 1006, ProductName = "Bike2" });
            products.Add(new ProductInfo() { OrderID = 1007, ProductName = "Bike1" });
            products.Add(new ProductInfo() { OrderID = 1008, ProductName = "Bike4" });
            products.Add(new ProductInfo() { OrderID = 1008, ProductName = "Bike6" });
            products.Add(new ProductInfo() { OrderID = 1008, ProductName = "Bike7" });
        }

        public List<ProductInfo> getorder(int i)
        {
            List<ProductInfo> product = new List<ProductInfo>();
            foreach (var or in products)
                if (or.OrderID == i)
                    product.Add(or);
            return product;
        }
    }
}
